Bug 1467372 (CVE-2017-10799) - CVE-2017-10799 GraphicsMagick: out of memory in ReadDPXImage() function
Summary: CVE-2017-10799 GraphicsMagick: out of memory in ReadDPXImage() function
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-10799
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1467373 1467382
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-03 14:52 UTC by Pedro Sampaio
Modified: 2019-09-29 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:15:58 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-07-03 14:52:45 UTC
An issue was discovered in GraphicsMagick 1.3.25. When a DPX image is processed (with metadata indicating a large width) in coders/dpx.c, an out of memory denial of service can occur in ReadDPXImage().

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/f10b9bb3ca62

Comment 1 Pedro Sampaio 2017-07-03 14:53:10 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1467373]

Comment 2 Pedro Sampaio 2017-07-03 15:09:33 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1467382]

Comment 3 Product Security DevOps Team 2019-06-08 03:15:58 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.